<style>
  .fltable td{
      vertical-align: top;  
  }
</style>
<template >
  
  <v-data-table
    v-model="selected"
    :headers="headerss"
    :items="dessertss"
     hide-default-header
    hide-default-footer
    :single-select="singleSelect"
    item-key="reqno"
    style="padding:30px">

    <template v-slot:top>
      <div>
          <div>
            <v-toolbar style="box-shadow:none !important">
                <v-toolbar-title><b>{{title}} {{ $route.params.id }}</b></v-toolbar-title>
                <v-spacer></v-spacer> 

                <div style="margin-right:10px">
                  Requester Name <b>| GEM | SCM</b>
                  <v-chip class="ma-2" color="red" text-color="white">
                    Draft
                  </v-chip>
                </div>

                
            </v-toolbar>
          
            <div style="padding:20px 25px">
                <v-layout row>
                  <v-flex md6>
                      <v-col cols="12" sm="6" md="12">
                        <table width="100%" class="fltable">
                            <tr>
                              <td width="30%"><b>Material Type</b></td>
                              <td>
                                <v-select
                                  :items="type"
                                  label="Choose Your Type"
                                  append-icon="mdi-card-bulleted-outline"
                                  solo
                                ></v-select>
                              </td>
                            </tr>

                            <tr>
                              <td><b>Valuation Class</b></td>
                              <td>
                                  <v-text-field
                                    label="Solo"                         
                                    placeholder="Enter Your Valuation Class"
                                    solo
                                    append-icon="mdi-folder-settings-variant-outline"
                                  ></v-text-field>
                              </td>
                            </tr>
                        </table>
                        
                      </v-col>
                  </v-flex>

                  <v-flex md6>
                      <v-col cols="12" sm="6" md="12">
                        <table width="100%" class="fltable">
                            <tr>
                              <td width="20%"><b>Part Number</b></td>
                              <td>
                                <v-text-field 
                                  label="Solo"                                 
                                  placeholder="Enter Your Part Number"
                                  solo
                                  append-icon="mdi-credit-card-settings-outline"
                                ></v-text-field>
                              </td>
                            </tr>

                            
                        </table>
                        
                      </v-col>
                  </v-flex>
                  
                  <v-flex md7>
                      <v-col cols="12" sm="6" md="12">
                      <v-card
                        max-width="100%"
                        class="mx-auto"
                      >
                        <v-toolbar
                          color="primary"
                          dark
                        >
                        
                          <v-toolbar-title>Naming Convention</v-toolbar-title>

                          <v-spacer></v-spacer>
                        </v-toolbar>

                        <v-list subheader>
                          <br>
                          <v-list-item>
                            <v-list-item-content>
                              <v-list-item-title>
                                  <table class="fltable">
                                    <tr>
                                      <td width="20%">Item Name</td>
                                      <td>

                                          <span>
                                              <v-row>
                                                <v-dialog v-model="dialog" transition="fade-transition" max-width="1200px">
                                                  <template v-slot:activator="{ on }">
                                                    
                                                    <v-text-field v-on="on"
                                                      label="Solo"                         
                                                      placeholder="Enter Your Item Name"
                                                      solo
                                                    ></v-text-field>
                                                  </template>

                                                  <v-card>
                                                    <v-toolbar dark color="primary" fixed>
                                                      
                                                      <v-toolbar-title>INC (Item Name Code)</v-toolbar-title>
                                                      <v-spacer></v-spacer>
                                                      
                                                      <v-btn icon dark @click="dialog = false">
                                                        <v-icon>mdi-close</v-icon>
                                                      </v-btn>
                                                    </v-toolbar>
                                                    <div style="padding:20px 25px">
                                                        <v-layout row>
                                                          <v-flex md12>
                                                              <v-simple-table>
                                                                <template v-slot:default>
                                                                  <thead>
                                                                    <tr>
                                                                      <th colspan="2"></th>
                                                                      <th class="text-right" colspan="2" style="padding:10px">
                                                                          <v-text-field
                                                                            label="Solo"
                                                                            rounded
                                                                            placeholder="Search Your Item Name Code (INC)"
                                                                            solo
                                                                            append-icon="search"
                                                                          ></v-text-field>
                                                                      </th>
                                                                    </tr>
                                                                    <tr>
                                                                      <th class="text-left">INC</th>
                                                                      <th class="text-left">INC Name</th>
                                                                      <th class="text-left">Description</th>
                                                                      <th class="text-center">action</th> 
                                                                    </tr>
                                                                  </thead>
                                                                  <tbody>
                                                                    <tr>
                                                                      <td>08550</td>
                                                                      <td width="30%">SHOES, SAFETY</td>
                                                                      <td>
                                                                          Footwear having safety features such as steel box toes or equivalent, nonslip heels and soles, and/or instep guards. They are used to provide protection to the feet from an impact force and to prevent injury from falls due to slippage. Excludes BOOTS, MOULDERS'; SHOES, ELECTRICAL HAZARDS PROTECTIVE; SHOES, CONDUCTIVE; and SHOES, NONSPARKING.
                                                                      </td>
                                                                      <td width="15%" align="center">
                                                                          <v-btn small color="default" rounded @click="dialog = false">Pilih</v-btn>
                                                                      </td>
                                                                    </tr>
                                                                    <tr>
                                                                      <td>62146</td>
                                                                      <td>COMPUTER SYSTEM, DIGITAL</td>
                                                                      <td>
                                                                          A complete digital computer system, as defined by computer, digital, which includes the computer and all the associated peripheral hardware.
                                                                      </td>
                                                                      <td width="15%" align="center">
                                                                          <v-btn small color="default" rounded @click="dialog = false">Pilih</v-btn>
                                                                      </td>
                                                                    </tr>
                                                                    <tr>
                                                                      <td>0374A</td>
                                                                      <td>BEARING, BALL, ANNULAR</td>
                                                                      <td>
                                                                          A cylindrical device in which the inner or outer ring turns upon a single or double row of hardened balls which roll easily between the two rings, thus minimizing friction. For item with faces specially ground for duplex mounting see BEARING, BALL, DUPLEX. Excludes BEARING, BALL, AIRFRAME.
                                                                      </td>
                                                                      <td width="15%" align="center">
                                                                          <v-btn small color="default" rounded @click="dialog = false">Pilih</v-btn>
                                                                      </td>
                                                                    </tr>
                                                                     <tr>
                                                                      <td>00727</td>
                                                                      <td>BATTERY, STORAGE</td>
                                                                      <td>
                                                                          A device designed to produce an electromotive force by an electrochemical action, composed of one or more cells forming a single unit, which is not readily separable and which may be efficiently recharged by sending an electric current through the cell(s) in a direction opposite to that of the discharging current. The item may be furnished with integral charging facilities.
                                                                      </td>
                                                                      <td width="15%" align="center">
                                                                          <v-btn small color="default" rounded @click="dialog = false">Pilih</v-btn>
                                                                      </td>
                                                                    </tr>
                                                                     <tr>
                                                                      <td>07623</td>
                                                                      <td>LAMP, INCANDESCENT</td>
                                                                      <td>
                                                                         An item whose principal purpose is to produce light or heat from a glowing filament(s). It includes metal backed and reflecting type, sealed beam and flood type. It may include an integral filament shield to control and/or modify its illumination pattern.
                                                                      </td>
                                                                      <td width="15%" align="center">
                                                                          <v-btn small color="default" rounded @click="dialog = false">Pilih</v-btn>
                                                                      </td>
                                                                    </tr>
                                                                     <tr>
                                                                      <td>00136</td>
                                                                      <td>RING, RETAINING</td>
                                                                      <td>
                                                                        A resilient metal item, circular or nearly circular, which is designed to be inserted into an internal or external groove and retained by its own spring action, or it may have external prongs or projections designed to be inserted into a hole and retained by spring action of the prongs which grip by imbedding into the material. For items having internal prongs which perform the same function, see PUSH ON NUT. It is used to keep and/or lock a part(s) in position, as a ball bearing on a shaft or in a housing. See also CLIP, RETAINING and PIN, LOCK. Excludes RING, CONNECTING, ROUND.
                                                                      </td>
                                                                      <td width="15%" align="center">
                                                                          <v-btn small color="default" rounded @click="dialog = false">Pilih</v-btn>
                                                                      </td>
                                                                    </tr>
                                                                     <tr>
                                                                      <td>05489</td>
                                                                      <td>VALVE, BUTTERFLY</td>
                                                                      <td>
                                                                          A valve that controls flow by a circular disk, or a pair of semicircular disks, attached to a common spindle or lever turning on a diametral axis.
                                                                      </td>
                                                                      <td width="15%" align="center">
                                                                          <v-btn small color="default" rounded @click="dialog = false">Pilih</v-btn>
                                                                      </td>
                                                                    </tr>

                                                                     <tr>
                                                                      <td>32534</td>
                                                                      <td>ROLLER, CONVEYOR</td>
                                                                      <td>
                                                                         A cylindrical body of hollow construction of which both ends contain bearings and shaft. The bearings may be ball, roller or sleeve type.
                                                                      </td>
                                                                      <td width="15%" align="center">
                                                                          <v-btn small color="default" rounded @click="dialog = false">Pilih</v-btn>
                                                                      </td>
                                                                    </tr>
                                                                  </tbody>
                                                                </template>
                                                              </v-simple-table>
                                                          </v-flex>
                                                        </v-layout>   
                                                    </div>
                                                    <v-divider></v-divider>
                                                    <v-card-actions>
                                                      <v-btn color="blue darken-1" text @click="dialog = false">Oke</v-btn>
                                                    </v-card-actions>
                                                  </v-card>
                                                  
                                                </v-dialog>
                                              </v-row>
                                            </span>
                                      </td>
                                    </tr>
                                    <tr>
                                      <td>Attribute</td>
                                      <td>
                                          <template>
                                              <v-row justify="left">
                                                <v-dialog v-model="dialog2" persistent max-width="600px">
                                                  <template v-slot:activator="{ on }">
                                                    <v-btn color="primary" dark v-on="on">Information Item</v-btn>
                                                  </template>
                                                  <v-card>
                                                    <v-card-title>
                                                      <span class="headline">Pengisian Informasi Item</span>
                                                    </v-card-title>
                                                    <v-card-text>
                                                      <v-container>
                                                            <table width="100%" class="fltable">
                                                                <tr>
                                                                  <td>Design</td>
                                                                  <td>
                                                                    <v-text-field
                                                                      v-on:keyup="setItemDesc"
                                                                      v-model="design"
                                                                      label="Solo"                      
                                                                      placeholder="Enter Your Design"
                                                                      solo
                                                                    ></v-text-field>
                                                                  </td>
                                                                </tr>

                                                                <tr>
                                                                  <td>Type</td>
                                                                  <td>
                                                                    <v-text-field
                                                                      label="Solo"
                                                                      v-on:keyup="setItemDesc"
                                                                      v-model="typem"                      
                                                                      placeholder="Enter Your Type"
                                                                      solo
                                                                    ></v-text-field>
                                                                  </td>
                                                                </tr>

                                                                <tr>
                                                                  <td>Size</td>
                                                                  <td>
                                                                    <v-text-field
                                                                      label="Solo"
                                                                      v-on:keyup="setItemDesc"
                                                                      v-model="size"                    
                                                                      placeholder="Enter Your Size"
                                                                      solo
                                                                    ></v-text-field>
                                                                  </td>
                                                                </tr>

                                                                <tr>
                                                                  <td>Shape</td>
                                                                  <td>
                                                                    <v-text-field
                                                                      label="Solo"
                                                                      v-on:keyup="setItemDesc"
                                                                      v-model="shape"                    
                                                                      placeholder="Enter Your Shape"
                                                                      solo
                                                                    ></v-text-field>
                                                                  </td>
                                                                </tr>

                                                                <tr>
                                                                  <td>Color</td>
                                                                  <td>
                                                                    <v-text-field
                                                                      label="Solo"
                                                                      v-on:keyup="setItemDesc"
                                                                      v-model="color"                       
                                                                      placeholder="Enter Your Color"
                                                                      solo
                                                                    ></v-text-field>
                                                                  </td>
                                                                </tr>

                                                                 <tr>
                                                                  <td>Item Description</td>
                                                                  <td>
                                                                    <v-textarea 
                                                                      :value="modalItemDesc"
                                                                      readonly                      
                                                                      placeholder=""
                                                                      solo
                                                                    ></v-textarea>
                                                                  </td>
                                                                </tr>
                                                            </table>
                                                      </v-container>
                                                      <small>*Informasi ini akan dikombinasikan menjadi rangkaian informasi di item Description</small>
                                                    </v-card-text>
                                                    <v-card-actions>
                                                      <v-spacer></v-spacer>
                                                      <v-btn color="blue darken-1" text @click="dialog2 = false">Close</v-btn>
                                                      <v-btn color="blue darken-1" text @click="addDescription()">Done</v-btn>
                                                    </v-card-actions>
                                                  </v-card>
                                                </v-dialog>
                                              </v-row>
                                            </template>
                                      </td>
                                    </tr>
                                    <tr>
                                      <td>Item Description</td>
                                      <td>
                                          <template>
                                              <v-row justify="left">
                                                <v-textarea
                                                  readonly
                                                  v-model="itemDesc"
                                                  label="Solo"                         
                                                  placeholder="Enter Your Your Item Description"
                                                  solo
                                                ></v-textarea>
                                              </v-row>
                                          </template>
                                      </td>
                                    </tr>                                  

                                    <tr>
                                      <td><b>Collaquial Name</b></td>
                                      <td>
                                          <template>
                                              <v-row justify="left">
                                                <v-text-field
                                                  label="Solo"                          
                                                  placeholder="Enter Your Collaquial Name"
                                                  solo
                                                ></v-text-field>
                                              </v-row>
                                            </template>
                                      </td>
                                    </tr>

                                    <tr>
                                      <td><b>Material Group</b></td>
                                      <td>
                                        <template>
                                              <v-row justify="left">
                                                <v-select
                                                    :items="uom"
                                                    label="Choose Your Material Group"
                                                    solo
                                                  ></v-select>
                                                </v-row>
                                        </template>
                                      </td>
                                    </tr>
                                    <tr>
                                      <td><b>Extended Group</b></td>
                                      <td>
                                          <template>
                                              <v-row justify="left">
                                                <v-select
                                                    :items="uom"
                                                    label="Choose Your Extended Group"
                                                    solo
                                                  ></v-select>
                                                </v-row>
                                          </template>
                                      </td>
                                    </tr>

                                    <tr style="display:none">
                                      <td></td>
                                      <td>
                                          <table>
                                              <tr>
                                                <td>Design</td>
                                                <td>
                                                  <v-text-field
                                                    label="Solo"                         
                                                    placeholder="Enter Your Design"
                                                    solo
                                                  ></v-text-field>
                                                </td>
                                              </tr>

                                              <tr>
                                                <td>Type</td>
                                                <td>
                                                  <v-text-field
                                                    label="Solo"
                                                    placeholder="Enter Your Type"
                                                    solo
                                                  ></v-text-field>
                                                </td>
                                              </tr>

                                              <tr>
                                                <td>Size</td>
                                                <td>
                                                  <v-text-field
                                                    label="Solo"
                                                    placeholder="Enter Your Size"
                                                    solo
                                                  ></v-text-field>
                                                </td>
                                              </tr>

                                              <tr>
                                                <td>Shape</td>
                                                <td>
                                                  <v-text-field
                                                    label="Solo"
                                                    placeholder="Enter Your Shape"
                                                    solo
                                                  ></v-text-field>
                                                </td>
                                              </tr>

                                              <tr>
                                                <td>Color</td>
                                                <td>
                                                  <v-text-field
                                                    label="Solo"                         
                                                    placeholder="Enter Your Color"
                                                    solo
                                                  ></v-text-field>
                                                </td>
                                              </tr>
                                          </table>
                                      </td>
                                    </tr>
                                  </table>
                              </v-list-item-title>
                            </v-list-item-content>
                          </v-list-item>

                          
                        </v-list>
                      </v-card>
                      </v-col>
                      
                      <br><br>

                     
                  </v-flex>

                  <v-flex md5>
                      <table width="100%"  class="fltable">
                          <tr>
                            <td>Request No.</td>
                            <td width="70%">
                              <v-text-field
                                label="0098986612"
                                readonly
                                solo
                                append-icon="mdi-credit-card-settings-outline"
                              ></v-text-field>
                            </td>
                          </tr>
                          <tr>
                            <td>Request By</td>
                            <td>
                              <v-text-field
                                label="Arief Bimo W."
                                readonly
                                solo
                                append-icon="mdi-credit-card-settings-outline"
                              ></v-text-field>
                            </td>
                          </tr>
                          <tr>
                            <td>Request Date</td>
                            <td>
                              <v-text-field
                                label="12-12-2019"
                                readonly
                                solo
                                append-icon="mdi-credit-card-settings-outline"
                              ></v-text-field>
                            </td>
                          </tr>

                          <tr>
                              <td><b>Brand</b></td>
                              <td>
                                  <v-select
                                    :items="brand"
                                    label="Choose Your Brand/Mfr"
                                    solo
                                    append-icon="mdi-garage-open"
                                  ></v-select>
                              </td>
                            </tr>
                      </table>

                      <table width="100%" class="fltable">
                          <tr>
                            <td valign="top">BUM</td>
                            <td  width="70%">
                                <v-select
                                  :items="uom"
                                  label="Choose Your BUM"
                                  solo
                                ></v-select>
                            </td>
                          </tr>
                          <tr>
                            <td>Plant</td>
                            <td>
                              <v-select
                                  :items="uom"
                                  label="Choose Your Plant"
                                  solo
                                ></v-select>
                            </td>
                          </tr>
                          
                      </table>
                  </v-flex>

                  <v-flex md7>
                      <v-col cols="12" sm="6" md="12">
                        
                      </v-col>    
                  </v-flex>

                  <v-flex md5>
                       <v-col cols="12" sm="6" md="12">
                          Attachment : <b>1. Material Doc, 2.Material.png</b>
                          <br><br>

                          <div align="left">
                              <v-btn depressed large color="error">Cancel</v-btn>&nbsp;
                              <v-btn depressed large color="primary">Save Item</v-btn>
                          </div>
                       </v-col>                     
                  </v-flex>

                </v-layout>   
            </div>

            <div style="display:none">
                <v-toolbar style="box-shadow:none !important">
                  <v-toolbar-title>5 Items</v-toolbar-title>
                  
                  <v-spacer></v-spacer>
                  <v-btn large icon v-on:click="deletes" style="margin-right:10px">
                    <v-icon>mdi-delete-circle</v-icon>
                  </v-btn>
              </v-toolbar>
            </div>
        </div>
      </div>
    </template>

    <template v-slot:item.action="{ item }">
      <v-icon
        class="mr-2"
        @click="editItem(desserts)"
      >
        mdi-pencil-outline
      </v-icon>

      <v-icon
        
        @click="deletes(desserts)"
      >
        mdi-delete-outline
      </v-icon>
    </template>
    
  </v-data-table>

</template>


<script>
export default {
    methods: {
      setItemDesc(){
          var val = this.design +" "+ this.typem + " " + this.size + " " + this.shape + " " + this.color;
          this.modalItemDesc = val;
      },
      addDescription(){
        this.itemDesc = this.modalItemDesc;
        this.dialog2 = false;
      },
      deletes: function (){ 
        this.$dialog.confirm({
          text: 'Do you really want to exit?',
          title: 'Warning',
          overlay:true,
          actions: {
              false: 'No',
              true: {
                color: 'red',
                text: 'Yes I do',
                handle: () => {
                  return new Promise(resolve => {
                    setTimeout(() => {
                        resolve();
                        this.$dialog.message.info('Data Has Been Succesfully Deleted ..', {
                          position: 'bottom',
                          timeout : 2000
                        })
                    }, 1000);            
                  })
                }
              }
            }
        })
      },
      getColor (calories) {
        if (calories > 400) return 'red'
        else if (calories > 200) return 'orange'
        else return 'green'
      },
    },

    data () { 
      return {
        design : "",
        typem : "",
        size: "",
        shape:"",
        color:"",
        name : "Registration",
        title : "Form Item Material Registration",
        dialog: false,
        dialog2: false,
        notifications: false,
        sound: true,
        widgets: false,
        singleSelect: false,
        modalItemDesc:"",
        selected: [],
        brand:['Krisbow','Kings','Catterpilar','Fabricated','Samator','Nitrogen','Shell','Cabel Metal'],
        uom:['M','EACH','BOTTLE','PAIR'],
        type: ['Barang', 'Jasa'],
        headers: [
          { text: 'Req No', value: 'reqno' },
          { text: 'Material',align: 'left',sortable: false,value: 'material'},
          { text: 'Specification', value: 'spec',width:250 },
          { text: 'Part No', value: 'partno' },
          { text: 'Brand', value: 'brand' },
          { text: 'UOM', value: 'uom' },
          { text: 'Attachment', value: 'attachment' },
          { text: 'Status', value: 'status' },
          { text: 'Note', value: 'note',width:180 },
          { text: 'Actions', value: 'action', sortable: false}
        ],
        desserts: [
          {
            reqno: '001',
            material: 'Kabel Listrik',
            spec: 'Kabel serabut, warna merah untuk Pos 2',
            partno: 'MC00W',
            brand: 'Krisbow',
            uom: 'M',
            attachment: 'add',
            status: 'Draft',
            note: 'Data tidak lengkap'
          },
          {
            reqno: '002',
            material: 'Baut',
            spec: 'Baut Catterpilar untuk Bulldozer',
            partno: 'ACN-2',
            brand: 'Catterpilar',
            uom: 'EACH',
            attachment: '1image,2 docs',
            status: 'Draft',
            note: 'Dibutuhkan segera'
          },
          {
            reqno: '003',
            material: 'Sepatu Safety',
            spec: 'Kulit Cokelat, Toenya Besi',
            partno: 'MORXX',
            brand: 'Kings',
            uom: 'PAIR',
            attachment: '1 image',
            status: 'Draft',
            note: 'Persiapan Project 2'
          },
          {
            reqno: '004',
            material: 'Flange',
            spec: 'Flange 20inch untuk saluran limbah',
            partno: 'FLG20',
            brand: 'Fabricated',
            uom: 'EACH',
            attachment: '1 image',
            status: 'Draft',
            note: 'Request Spec baru'
          },
          {
            reqno: '005',
            material: 'Gas',
            spec: 'Gas Nitrogen untuk gas site 2',
            partno: 'NIT2',
            brand: 'Samator',
            uom: 'BOTTLE',
            attachment: '1 image',
            status: 'Draft',
            note: 'Persediaan habis'
          }
        ],
      }
    },
  }
</script>
